<?php


namespace app\common\dao\backup;
use app\common\dao\BaseDao;
use app\common\model\BaseModel;
use app\common\model\backup\BackupUser;

class BackupUserDao extends BaseDao
{
    protected function getModel(): string
    {
        return BackupUser::class;
    }

    /**
     * 备份删除的用户表数据
     * @param array $spreadUser
     * @return int
     */
    public function saveDelData(array $spreadUser)
    {
        return $this->getModel()::getDB()->insert($spreadUser);
    }
}